#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - preinstall script for postgresql15
#
# Creation   :  2023-11-23 dv
# Last Update:  2023-11-30 20:44:37
#
# Copyright (c) 2023 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

# set package name
package_name=postgresql15

# ---------------------------------------------------------------------------
# deactivate service when switching to systemd
# ---------------------------------------------------------------------------
installed=$(eisman check ${package_name} 3.4.1)

if [ "${installed}" = "new" ]
then
    /usr/sbin/service stop ${package_name}
    /usr/sbin/service disable ${package_name}
fi

# ---------------------------------------------------------------------------
# remove old cron job
# ---------------------------------------------------------------------------
if [ -f "/var/cron/etc/root/${package_name}" ] && \
   [ -f "/var/install/config.d/cron" ]
then
    rm -f "/var/cron/etc/root/${package_name}"
    /var/install/config.d/cron > /dev/null 2> /dev/null
fi

exit 0

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
